.\"	$NetBSD: cnw.4,v 1.12 2001/09/12 18:19:17 wiz Exp $
.\"
.\" Copyright (c) 1997 Berkeley Software Design, Inc. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that this notice is retained,
.\" the conditions in the following notices are met, and terms applying
.\" to contributors in the following notices also apply to Berkeley
.\" Software Design, Inc.
.\"
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by
.\"	 Berkeley Software Design, Inc.
.\" 4. Neither the name of the Berkeley Software Design, Inc. nor the names
.\"    of its contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY BERKELEY SOFTWARE DESIGN, INC. ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL BERKELEY SOFTWARE DESIGN, INC. BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	PAO2 Id: cnw.4,v 1.1.1.1 1997/12/11 14:46:23 itojun Exp
.\"
.Dd January 5, 1997
.Dt CNW 4
.Os
.Sh NAME
.Nm cnw
.Nd
.Tn Netwave AirSurfer wireless network driver
.Sh SYNOPSIS
.Cd "cnw*     at pcmcia? function ?"
.Sh DESCRIPTION
The
.Nm cnw
interface provides access to a theoretical 1 Mb/s wireless Ethernet network
based on the Netwave AirSurfer Wireless LAN (formerly known as the Xircom
Netwave Wireless LAN).
.Pp
Note that the driver does not support newer devices
such as the Netwave AirSurfer
.Dq Plus ,
or the BayStack 650/660.
These devices are supported by the
.Xr awi 4
driver.
.Pp
Netwave devices are not compatible with IEEE 802.11 wireless networks.
Also note that there are Netwave devices with different wireless frequency,
depending on the radio band plan in each country.
.Pp
The card uses 36K of I/O memory mapped to the card.
.\"The card uses 32K of I/O memory mapped to the card along with either 16 I/O ports
.\"or 4K of additional I/O memory for access to command registers.
.\"The driver currently only supports the use of the additional 4K of I/O memory.
You may need to increase memory space available to the PCMCIA controller.
See
.Xr pcmcia 4
for details.
.Pp
In use, the cards appear to achieve up to a 420Kb/s transfer rate, though
a transfer rate between 250Kb/s and 350Kb/s is typical.
.Pp
The card operates in the 2.4GHz frequency range and is subject to interference
from microwaves, IEEE 802.11 wireless network devices, as well as earth.
For example, it seems that IEEE 802.11 channel 14 conflicts with Netwave
.Pq US frequency .
They interfere with each other if they are both operated
in the same geographic region, causing weird packet loss.
You may be able to avoid the interference with IEEE 802.11 devices,
by changing the IEEE 802.11 channel.
.Sh HARDWARE
Cards supported by the
.Nm
driver include:
.Pp
.Bl -item -offset indent
.It
Xircom CreditCard Netwave
.It
NetWave AirSurfer
.El
.Sh DIAGNOSTICS
.Bl -diag
.It "cnw0: can't map memory"
Indicates that the driver was not able to allocate enough PCMCIA bus
address space into which to map the device.
See
.Xr pcmcia 4
and increase memory available to the PCMCIA controller.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr awi 4 ,
.Xr inet 4 ,
.Xr intro 4 ,
.Xr pcmcia 4 ,
.Xr cnwctl 8
